Subject: bug#70804: 29.3.50; Feature request: Allow setting INITIAL-INPUT in comment-normalize-vars when comment-start is nil

From: Stefan Kangas <[email-masked]>
Date: Mon, 3 Mar 2025 14:28:59 +0000

Daan Ro <[email-masked]> writes:

> I was afraid that directly setting the default may break many people's muscle
> memory, or

Hmm, but the default now is the empty string, which AFAIU means to do
nothing.

It seems strange to have, in muscle memory, `M-; RET`, if it indeed has
the effect to do nothing...

IOW, I think a new default is harmless here.

> hypothetically maybe someday "#" won't be the most common unknown
> case anymore.

When that day comes, we can add a defcustom.

> Between a new custom variable and the default I have no strong
> opinion otherwise.

Would you like to propose a new patch along the above lines?

I don't think this needs to be in NEWS, even.